summaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/bin/onos-check-components
diff options
context:
space:
mode:
authorAshlee Young <ashlee@onosfw.com>2015-09-09 22:15:21 -0700
committerAshlee Young <ashlee@onosfw.com>2015-09-09 22:15:21 -0700
commit13d05bc8458758ee39cb829098241e89616717ee (patch)
tree22a4d1ce65f15952f07a3df5af4b462b4697cb3a /framework/src/onos/tools/test/bin/onos-check-components
parent6139282e1e93c2322076de4b91b1c85d0bc4a8b3 (diff)
ONOS checkin based on commit tag e796610b1f721d02f9b0e213cf6f7790c10ecd60
Change-Id: Ife8810491034fe7becdba75dda20de4267bd15cd
Diffstat (limited to 'framework/src/onos/tools/test/bin/onos-check-components')
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-check-components17
1 files changed, 17 insertions, 0 deletions
diff --git a/framework/src/onos/tools/test/bin/onos-check-components b/framework/src/onos/tools/test/bin/onos-check-components
new file mode 100755
index 00000000..f4c2df2c
--- /dev/null
+++ b/framework/src/onos/tools/test/bin/onos-check-components
@@ -0,0 +1,17 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Checks whether all ONOS components are either ACTIVE or DISABLED.
+# -----------------------------------------------------------------------------
+
+aux=/tmp/stc-$$.log
+trap "rm -f $aux 2>/dev/null" EXIT
+
+onos ${1:-$OCI} scr:list > $aux
+cat $aux
+grep -q UNSATISFIED $aux && exit 1
+
+if [ -n "$2" ]; then
+ echo "Searching for ACTIVE $2"
+ egrep "ACTIVE.*$2" $aux || exit 1
+fi
+exit 0 \ No newline at end of file